<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">

    {% if table_docs["stage"] == 'MODULETOPCB' or table_docs["stage"] == 'MODULEWIREBONDING' %}
    {% if not table_docs["text"] == '' %}
      <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ table_docs["text"] }}</font></div></p>
    {% endif %}

      {% if table_docs['total']!=0 %}
        <h4><font color="#ff0000">Please select one result for each test items.</font></h4>
        <form class="form-holizontal" role="form" method="post" action="{{ url_for('component_api.select_test', id=table_docs['_id'], stage=table_docs['stage']) }}" accept-charset="UTF-8">
        {% for testtype in table_docs["scantypes"]%}
        {% set outer_loop = loop %}

          {% if testtype in table_docs["supported"] %}
            <h4>{{ testtype }}</h4>
          {% else %}
            <h4>{{ testtype }} <br> <font color=#ff0000>This test has not been supported. To be constructed. </font> </h4>
            <br>
          {% endif %}

          {% if testtype in table_docs["supported"] %}
            {% if table_docs["pstage"] == "input" %}
              <table class="table table-sm toppage" style="font-size: 10pt;">
                <thead class="table-light">
                  <tr>
                    <th scope="col" rowspan=2>Module Name</th>
                    <th scope="col" colspan=6>Test Data</th>
                    <th scope="col" colspan=1 rowspan=2>Tag</th>
                    <th scope="col" colspan=1 rowspan=2>Select</th>
                  </tr>
                  <tr>
                    <th scope="col">Stage</th>
                    <th scope="col">Test Type</th>
                    <th scope="col">User</th>
                    <th scope="col">Site</th>
                    <th scope="col">Date</th>
                    <th scope="col">Link</th>
                  </tr>
                </thead>
                <tbody>

                  {% for run_data in table_docs["run"] %}
                    {% if run_data['run_data']["testType"] == table_docs["test_list"][outer_loop.index0] %}
                    <tr>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["component"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["stage"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["testType"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["user"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["site"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["datetime"] }}</td>
                        <td style="word-wrap:break-word;">
                          <a href="{{ url_for('component_api.show_component', id=table_docs['_id'], collection='component', test='qctest' , runId=run_data['run_data']['_id']) }}">result page</a>
                        </td>
                        <td style="word-wrap:break-word;">
                          {% for tag in run_data['run_data']['testRun_tag'] %}
                            <div>{{ tag['name'] }}</div>
                          {% endfor %}
                        </td>
                        <td style="word-wrap:break-word;">
                          <div class="form-group row">
                            <div class="col-md-10">
                              <input type="radio" name="{{ testtype }}_id" value="{{ run_data['run_data']['_id'] }}" required="required" checked>
                   		      </div>
                   		    </div>
                        </td>
                    </tr>
                    {% endif %}
                  {% endfor %}
                </tbody>
              </table>
            {% elif table_docs["pstage"] == "confirm" %}
              <input type="hidden" value="{{ table_docs["run"][loop.index0]["run_data"]["_id"] }}" name="selectinfo">
              <table class="table table-sm toppage" style="font-size: 10pt;">
                <thead class="table-light">
                  <tr>
                    <th scope="col" rowspan=2>Module Name</th>
                    <th scope="col" colspan=6>Test Data</th>
                    <th scope="col" colspan=1 rowspan=2>Tag</th>
                  </tr>
                  <tr>
                    <th scope="col">Stage</th>
                    <th scope="col">Test Type</th>
                    <th scope="col">User</th>
                    <th scope="col">Site</th>
                    <th scope="col">Date</th>
                    <th scope="col">Link</th>
                  </tr>
                </thead>
                <tbody>
                  {% for run_data in table_docs["run"] %}
                    {% if run_data['run_data']["testType"] == table_docs["test_list"][outer_loop.index0] %}
                    <tr>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["component"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["stage"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["testType"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["user"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["site"] }}</td>
                        <td style="word-wrap:break-word;">{{ run_data['run_data']["datetime"] }}</td>
                        <td style="word-wrap:break-word;">
                          <a href="{{ url_for('component_api.show_component', runId=run_data['run_data']["_id"], collection='chip') }}">result page</a>
                        </td>
                        <td style="word-wrap:break-word;">
                          {% for tag in run_data['run_data']['testRun_tag'] %}
                            <div>{{ tag['name'] }}</div>
                          {% endfor %}
                        </td>
                    </tr>
                    {% endif %}
                  {% endfor %}
                </tbody>
              </table>
            {% endif %}
          {% endif %}
        {% endfor %}


        {% if table_docs['stage'] == 'MODULEWIREBONDING' %}
          <hr>
          {% include "select_prop_table.html" %}
        {% endif %}

        <div class="col-md-12">
          <br>
        {% if table_docs["pstage"] == "input" %}
          <button type="submit" class="btn btn-primary" name="pstage" value="confirm">Proceed</button>
        {% elif table_docs["pstage"] == "confirm" %}
          <button type="submit" class="btn btn-primary" name="pstage" value="complete">Register</button>
          <button type="submit" class="btn btn-primary" name="pstage" value="input">Back page</button>
        {% endif %}
        </div>
        </form>

      {% endif %}
    {% else %}
      <h2> This version of LocalDB does not support to sign-off this stage. </h2>
      <h2><font color=#ff0000> Please change stage using the following link. </font></h2>
      <h3><a href='{{ url_for('component_api.set_stage', module=table_docs['mname']) }}'><i class="fa fa-gg "></i> Slelect next stage</a></h3>
    {% endif %}
    </div>
  </div>
</div>
